Bug 1419359 - Capsule Networking diagrams are missing mention of port 9090 re: Discovery
Summary: Capsule Networking diagrams are missing mention of port 9090 re: Discovery
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Architecture Guide
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1424956
TreeView+ depends on / blocked
 
Reported: 2017-02-05 22:10 UTC by Russell Dickenson
Modified: 2019-09-26 16:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1424956 (view as bug list)
Environment:
Last Closed: 2017-04-03 02:14:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1424952 None None None Never

Internal Links: 1424952

Comment 3 Lukas Zapletal 2017-02-07 15:37:36 UTC
Stephen,

discovery node sends facts to Capsule on port HTTPS 9090 by default and it passes it to Satellite Server (HTTPS 443). Also Satellite Server does communication in the other direction, but this is already there on the diagram.

LZ

Comment 4 Stephen Wadeley 2017-02-13 10:07:26 UTC
(In reply to Lukas Zapletal from comment #3)
> Stephen,
Hello lzap
> 
> discovery node sends facts to Capsule on port HTTPS 9090 by default and it

Where in the Capsule exactly? To the Puppet master? Or to the Discovery module in the Foreman Proxy? 

Please also confirm if this is only during provisioning or at any time.

Thank you

Thank you

Comment 5 Lukas Zapletal 2017-02-20 07:41:05 UTC
Hello Stephen,

port 9090 is contacted during discovery, multiple times. Once discovered node is restarted, it is no longer being connected. The port 9090 is Smart Proxy process, the Discovery module yeah.

Comment 6 Stephen Wadeley 2017-02-20 07:45:29 UTC
Thank you lzap

I will clone this bug now for the Installation Guide

Comment 7 Stephen Wadeley 2017-02-20 19:02:25 UTC
(In reply to Stephen Wadeley from comment #6)
> Thank you lzap
> 
> I will clone this bug now for the Installation Guide

That was a mistake, its already in the Installation Guide tables, sorry for the noise.

Comment 11 Andrew Dahms 2017-04-03 02:14:12 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.